Arduino

Reference Language | Libraries | Comparison | Changes

Esplora

## readJoystickSwitch()

#### Description

Reads the joystick's button and returns if its state is 0 or 1023. If you prefer something more consistent with the readButton() function, you may want to use readJoystickButton() instead. That function does the same as this, but returns LOW when the joystick button is pressed, and HIGH when not pressed.

#### Syntax

Esplora.readJoystickSwitch()

#### Parameters

none

#### Returns

0 when pressed, 1023 when not pressed.

#### Example

#include <Esplora.h>
void setup(){
// nothing in setup
}
void loop()
{
int button = Esplora.readJoystickSwitch();
if(button == 0)
{
Esplora.writeRed(255);
}
else {
Esplora.writeRed(0);
}
}
[Get Code]
Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers